package main

/* Tries hard to print email text */

import (
	"bufio"
	"flag"
	"fmt"
	"os"

	"git.lattuga.net/boyska/mailparse"
	"mvdan.cc/xurls"
)

func main() {
	urlsonly := flag.Bool("urls", false, "Only print found URLs")
	flag.Parse()

	reader := bufio.NewReader(os.Stdin)
	body, err := mailparse.GetText(reader)
	if err != nil {
		fmt.Fprintln(os.Stderr, "No text parts found") // but we should have walked more!
		os.Exit(1)
	}
	if *urlsonly {
		for _, url := range xurls.Strict().FindAllString(body, -1) {
			fmt.Println(url)
		}
		return
	}
	fmt.Println(body)
}
